import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.lang.*;
import com.ibm.led.*;



public class Demo
{

  public static LEDClock t = new LEDClock();
  public static  TextField tf = new TextField ( "0" );
  public static Checkbox cs = new Checkbox("show seconds");
  public static Checkbox cm = new Checkbox("mode 24 hours");



public static void main( String[] arg )
 {
  Frame f = new Frame();
  f.addWindowListener ( new WindowAdapter()
   {
     public void windowClosing(WindowEvent e)
     {
        System.exit(0);
     }
   }
 );

  Demo.t.setBackground( Color.blue);
  Demo.t.setForeground( Color.yellow);

  Panel  p = new Panel();
  p.setLayout(new GridLayout(1, 6));

  Demo.cs.addItemListener( new ItemListener () {
    public void itemStateChanged(ItemEvent e) {
         Demo.t.setShowSeconds ( cs.getState() ) ;
    }
  } );

  Demo.cm.addItemListener( new ItemListener () {
    public void itemStateChanged(ItemEvent e) {
         Demo.t.setMode24hours ( cm.getState() ) ;
    }
  } );

  tf.addActionListener ( new ActionListener() {
    public void actionPerformed(ActionEvent e) {
        try {
           Integer in = new Integer(Demo.tf.getText());
           Demo.t.setTimeadjustment( in.intValue()*3600);
        }
        catch ( Exception ee ) {
        }
    }
  });

  p.add(Demo.cs);
  p.add(Demo.cm);
  p.add(new Label("Adjustment ( in hours )"));
  p.add(new Label("( enter new value "));
  p.add(new Label("and press ENTER )"));
  p.add(Demo.tf);


  f.add("Center",Demo.t);
  f.add("South",p);
  f.setBounds(10,10,800,300);
  f.setVisible(true);

}

}






















































